atk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An ATK object which encapsulates a link or set of links in a hypertext document. GLib.Object Atk.Action GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.String `` To be added an object of type an object of type To be added
- Method
  System.Boolean `` `` To be added an object of type an object of type an object of type To be added
- Method
  System.String `` To be added an object of type an object of type To be added
- Method
  System.String `` To be added an object of type an object of type To be added
- Method
  System.Boolean `` To be added an object of type an object of type To be added
- Method
  Atk.Object `` Returns the item associated with this hyperlinks nth anchor. an object of type an object of type For instance, the returned will implement if the link is a text hyperlink, if the link is an image hyperlink etc.

  Multiple anchors are primarily used by client-side image maps.

- Method
  System.String `` Get a the URI associated with the anchor specified by a (zero-index) integer specifying the desired anchor a string specifying the URI Multiple anchors are primarily used by client-side image maps.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of Hyperlink, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  System.Int32 The number of actions. an object of type
- Property
  System.Int32 Gets the number of anchors associated with this hyperlink. the number of anchors associated with this hyperlink
- Property
  System.Int32 Gets the index with the hypertext document at which this link ends. the index with the hypertext document at which this link ends
- Property
  System.Int32 Gets the index with the hypertext document at which this link begins. the index with the hypertext document at which this link begins
- Method
  System.String `` To be added a a To be added
- Property
  System.Boolean Since the document that a link is associated with may have changed this method returns if the link is still valid (with respect to the document it references) and otherwise. whether or not this link is still valid
- Property
  System.Boolean Indicates whether the link currently displays some or all of its content inline. whether or not this link displays its content inline. Ordinary HTML links will usually return , but an inline <src> HTML element will return .
- Property
  GLib.GType GType Property. a Returns the native value for .
- Constructor
  Internal constructor
  a
  a
  This is a constructor used by derivative types of that would have their own GLib.GType assigned to it. This is not typically used by C# code.
- Constructor
  Default constructor
  a
- Property
  System.Int32 To be added a To be added
- Property
  System.Boolean To be added a To be added
- Property
  System.Boolean To be added a To be added
- Event
  System.EventHandler To be added To be added
- Method
  System.Void To be added To be added